package cpcns.danganzhengli.Export.cotroller;

package .tmp;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.model.BaseEntity;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.anjuan.model.DAnJuan;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanGuanLianService;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.DateUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.YeWuStatic;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/JuanZong"})
public class JuanZongController extends commonController {
  @Autowired
  private IDAnJuanService dAnJuanService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IDAnJuanGuanLianService dAnJuanGuanLianService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/JuanZongquery.do"})
  public String execute(HttpServletRequest request, Model model) throws Exception {
    String menLei = request.getParameter("menLei");
    String zhuangTai = request.getParameter("zhuangTai");
    model.addAttribute("menLei", menLei);
    model.addAttribute("zhuangTai", zhuangTai);
    return "danganzhengli/Export/JuanZongList";
  }
  
  @RequestMapping({"/load.do"})
  @ResponseBody
  public String load(HttpServletRequest request, HttpServletResponse response) {
    String data = "";
    if (this.hangBiaoShi != null && this.hangBiaoShi.intValue() > 0) {
      this.obj = this.dAnJuanService.getById(this.hangBiaoShi);
      data = JsonWithJacksonUtils.getInstance().obj2Json(this.obj);
    } 
    return data;
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String keyWordResult = request.getParameter("keyWordResult");
    String menLei = getRequest().getParameter("menLei");
    String czlx = getRequest().getParameter("czlx");
    DAnJuan cla = new DAnJuan();
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      cla = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      cla.setLjrq(DateUtil.getDate(cla.getLiJuanRiQi()));
      cla.setGdrq(DateUtil.getDate(cla.getGuiDangRiQi()));
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(cla.getMenLei());
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getDangHaoGuiZe());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
      } 
      getRequest().setAttribute("keyWordResult", keyWordResult);
      this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_AnJuan", cla.getHangBiaoShi(), String.valueOf(cla.getBiaoTi()) + "$." + cla.getDangHao() + "$." + cla.getMenLei(), "查看");
    } else {
      cla.setMenLei(menLei);
    } 
    getRequest().setAttribute("anJuan", cla);
    getRequest().setAttribute("czlx", czlx);
    getRequest().setAttribute("keyWordResult", keyWordResult);
    getRequest().setAttribute("menLei", menLei);
    return "danganzhengli/Export/JuanZongEdit";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    Map<String, String> qx = user.getQuanXianMap();
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    StringBuffer sqlSearch = new StringBuffer();
    sqlSearch.append(" ( 1=1 ");
    Map<String, String> tjmap = new HashMap<>();
    tjmap.put("quanZongHao", user.getQuanZongHao());
    tjmap.put("table", this.table);
    sqlSearch.append(CommStatic.IsQuanXian(user, AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"), tjmap));
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("checkbox")) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (key.equals("zhuangTai")) {
            if (value.equals("1")) {
              sqlWhere.append(" and zhuangTai =").append(value);
              continue;
            } 
            if (value.equals("0")) {
              sqlWhere.append(" and zhuangTai !=1");
              continue;
            } 
            if (value.equals("2")) {
              sqlWhere.append(" and zhuangTai in(").append("0,2)");
              continue;
            } 
            sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
            continue;
          } 
          if (key.equals("quanZongHao")) {
            if (StringUtils.isNotBlank(value))
              sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'"); 
            continue;
          } 
          if (!key.contains("like")) {
            if ("hangBiaoShi".equals(key)) {
              String hbs = jsonObject.getString("hangBiaoShi");
              sqlWhere.append(" and hangBiaoShi not in ( select gl.GuanLianAnJuanBiaoShi from D_AnJuanGuanLian  gl where gl.GuanLianBiaoShi='" + hbs + "') and hangBiaoShi !=" + hbs);
              continue;
            } 
            if (key.contains("_in")) {
              key = key.substring(0, key.indexOf("_in"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " in ( " + value + ")");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value.trim() + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    sqlSearch.append(")  and zhuangTai not in (3,4,6)");
    sqlSearch.append(" and zhuangTai in(1,2,5,7)");
    String querySt = request.getParameter("querystr");
    if (StringUtils.isNotBlank(querySt))
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
    if (sqlWhere.length() > 0)
      sqlSearch.append(sqlWhere.toString()); 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    StringBuffer sql = new StringBuffer("select quanZongHao,zhuangTai,hangBiaoShi,biaoTi,xuHao,dangHao,guiDangBuMenMingCheng,muLuHao,baoGuanQiXian,guiDangNianDu,miJi,fenShu,ruKuFangZhuangTai,liJuanRiQi,fenLeiMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi from D_AnJuan where  ");
    PagerVO pagevo = this.dAnJuanService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi"));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("XUHAO", "xuHao").replaceAll("QUANZONGHAO", "quanZongHao")
      .replaceAll("DANGHAO", "dangHao").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("MULUHAO", "muLuHao").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng")
      .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("MIJI", "miJi").replaceAll("LIJUANRIQI", "liJuanRiQi")
      .replaceAll("FENSHU", "fenShu").replaceAll("RUKUFANGZHUANGTAI", "ruKuFangZhuangTai").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi");
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) throws Exception {
    User user = getCurrentUser();
    DAnJuan anJuan = new DAnJuan();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei daml = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (StringUtils.isNotBlank(user.getBuMenMingChengs())) {
      String[] mcss = user.getBuMenMingChengs().split(" ");
      String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
      anJuan.setLiJuanDanWeiMingCheng(mcss[0]);
      anJuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          anJuan.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          anJuan.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      anJuan.setMenLei(menLei);
      anJuan.setQuanZongHao(user.getQuanZongHao());
      anJuan.setAnJuanRongLiang(daml.getJuanZuiDaYeShu());
      anJuan.setZhuangTai(Integer.valueOf("7"));
      model.addAttribute("anJuan", anJuan);
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getDangHaoGuiZe());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
      } 
    } 
    return "danganzhengli/Export/JuanZongEdit";
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    String rizhiInfo = "修改";
    String menLei = getRequest().getParameter("menLei");
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    String state = getRequest().getParameter("state");
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DAnJuan t = (DAnJuan)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DAnJuan.class);
    Map<String, String> map1 = new HashMap<>();
    map1.put("table", "D_AnJuan");
    map1.put("server", this.server);
    map1.put("biaoTiString", t.getBiaoTi());
    map1.put("guiDangNianDu", String.valueOf(t.getGuiDangNianDu()));
    map1.put("zhuangTai_not", "3");
    if (t.getHangBiaoShi() != null && t.getHangBiaoShi().intValue() > 0)
      map1.put("hangBiaoShi_not", String.valueOf(t.getHangBiaoShi())); 
    if (!this.dAnJuanService.IsExist(map1)) {
      if (t.getHangBiaoShi() == null || t.getHangBiaoShi().intValue() < 0) {
        t.setHangBiaoShi(Integer.valueOf(this.dAnJuanService.getPk()));
        t.setFenShu(Integer.valueOf(0));
        t.setZongYeShu(Integer.valueOf(0));
        t.setZhuangTai(Integer.valueOf(7));
        t.setKuFangBiaoShi(Integer.valueOf(0));
        t.setJianDingZhuangTai(Integer.valueOf(0));
        t.setRuKuFangZhuangTai(Integer.valueOf(0));
        rizhiInfo = "新增";
        t.setGuanLianBiaoMing(CommStatic.getMenLeiToBiaoMing(menLei));
      } 
      try {
        this.dAnJuanService.saveOrUpdate(t);
        User user = getLoginUser(request);
        this.commonService.addDA_RiZhi(user, getServer(), "D_AnJuan", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), "添加卷内文件");
        rm.setSuccess(true);
        info = "保存成功！";
        this.commonService.addDA_RiZhi(user, getServer(), "D_AnJuan", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), rizhiInfo);
      } catch (Exception e) {
        e.printStackTrace();
        info = "保存失败！";
        rm.setSuccess(false);
      } 
    } else {
      rm.setSuccess(false);
      info = "题名已存在";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String ids = request.getParameter("ids");
    if (StringUtils.isNotBlank(ids)) {
      String info = "";
      try {
        this.commonService.deleteByUser(getCurrentUser(), getServer(), "D_AnJuan", ids);
        rm.setSuccess(true);
        info = "删除成功！";
        this.commonService.addDA_RiZhi(getCurrentUser(), getServer(), "D_AnJuan", "biaoTi,dangHao,menLei", ids, "删除");
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/chaiJuan.do"})
  @ResponseBody
  public void chaiJuan(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.substring(0, hangBiaoShis.length() - 1);
      String hbss = hangBiaoShis.replaceAll(",", "','");
      Map<String, String> tjzd1 = new HashMap<>();
      tjzd1.put("guanLianBiaoShi", hbss);
      Map<String, String> xizd1 = new HashMap<>();
      xizd1.put("guanLianBiaoShi", "0");
      if ("WS".equals(menLei)) {
        xizd1.put("guiDangLeiXing", "1");
        xizd1.put("dangHaoString", "");
      } 
      try {
        this.commonService.updateGuiDang(getServer(), this.table, CommStatic.getMenLeiToBiaoMing(menLei), hbss, xizd1, tjzd1);
        this.commonService.updateQiZhiShiJian(this.server, this.table, CommStatic.getMenLeiToBiaoMing(menLei), hangBiaoShis);
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi from D_WenJian where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消组卷"); 
        } 
        this.commonService.addDA_RiZhi(user, this.server, this.table, "biaoTi,dangHao,menLei", hangBiaoShis, "拆卷");
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/toJuanNeiWenJian.do"})
  public String juanNeiWenJian() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String zhuangTai = getRequest().getParameter("zhuangTai");
    String state = getRequest().getParameter("state");
    String laiyuan = getRequest().getParameter("laiyuan");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
    String miJi = getRequest().getParameter("miJi");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    String menLei = getRequest().getParameter("menLei");
    String table = getRequest().getParameter("D_AnJuan");
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("laiyuan", laiyuan);
    getRequest().setAttribute("anJuanBiaoShi", hangBiaoShi);
    getRequest().setAttribute("state", state);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    getRequest().setAttribute("guiDangNianDu", guiDangNianDu);
    getRequest().setAttribute("miJi", miJi);
    getRequest().setAttribute("quanZongHao", quanZongHao);
    getRequest().setAttribute("table", table);
    return "danganzhengli/Export/JuanZongJuanNeiWenJian";
  }
  
  @RequestMapping({"/yiChuAnJuanWenJian.do"})
  @ResponseBody
  public void yiChuAnJuanWenJian(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String anJuanBiaoShi = getRequest().getParameter("anJuanBiaoShi");
    String table = getRequest().getParameter("table");
    String menLei = getRequest().getParameter("menLei");
    String miJi = getRequest().getParameter("miJi");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.substring(0, hangBiaoShis.length() - 1);
      try {
        StringBuffer sql_UP = new StringBuffer("update D_AnJuan set guangPanHao=' '  where hangBiaoShi in(" + hangBiaoShis + ")");
        this.commonService.update(sql_UP.toString());
        this.commonService.updateQiZhiShiJian(getServer(), table, CommStatic.getMenLeiToBiaoMing(menLei), anJuanBiaoShi);
        DAnJuan aj = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(anJuanBiaoShi)));
        User user = getLoginUser(getRequest());
        this.commonService.addDA_RiZhi(user, getServer(), "D_AnJuan", anJuanBiaoShi, String.valueOf(aj.getBiaoTi()) + "$." + aj.getDangHao() + "$." + aj.getMenLei(), "移除卷内文件");
      } catch (Exception e) {
        e.printStackTrace();
      } 
      msg = "500";
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/toAddJuanNeiWenJian.do"})
  public String addJuanNeiWenJian() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String menLei = getRequest().getParameter("menLei");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String miJi = getRequest().getParameter("miJi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      DAnJuan anJuan = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      getRequest().setAttribute("guiDangNianDu", anJuan.getGuiDangNianDu());
      getRequest().setAttribute("baoGuanQiXian", anJuan.getBaoGuanQiXian());
      getRequest().setAttribute("wenJianGuanLianBiaoShi", hangBiaoShi);
      getRequest().setAttribute("quanZongHao", anJuan.getQuanZongHao());
    } 
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("guanLianBiaoShi", hangBiaoShi);
    getRequest().setAttribute("gdType", Integer.valueOf(1));
    getRequest().setAttribute("miJi", miJi);
    return "danganzhengli/Export/JuanZonganJuanAddWenJian";
  }
  
  @RequestMapping({"/guanLianAnJuan.do"})
  public String guanLianAnJuan(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String menLei = request.getParameter("menLei");
    model.addAttribute("hangBiaoShi", hangBiaoShi);
    model.addAttribute("menLei", menLei);
    return "/danganzhengli/Export/JuanZongGuanLianAnJuanList";
  }
  
  @RequestMapping({"/zuJuanAdd.do"})
  public String zuJuanAdd() {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String miJi = getRequest().getParameter("miJi");
    String menLei = getRequest().getParameter("menLei");
    String[] hangBiaoShi = hangBiaoShis.split(",");
    if (hangBiaoShi.length > 0) {
      BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(menLei), Integer.valueOf(Integer.parseInt(hangBiaoShi[0])));
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getMenLei());
      if (daml != null) {
        getRequest().setAttribute("dangHaoGuiZe", daml.getDangHaoGuiZe());
        getRequest().setAttribute("fenGeFu", daml.getFenGeFu());
      } 
      String rq = "dengJiRiQi";
      if (menLei.equals("WS"))
        rq = "chengWenRiQi"; 
      StringBuilder sql = new StringBuilder();
      if (menLei.equals("ZP")) {
        sql.append("select ").append(rq).append(",geShu from ").append(YeWuStatic.getMenLeiToBiaoMing(menLei))
          .append(" where hangBiaoShi in (").append(hangBiaoShis).append(") order by xuHao ");
      } else {
        sql.append("select ").append(rq).append(",yeShu from ").append(YeWuStatic.getMenLeiToBiaoMing(menLei))
          .append(" where hangBiaoShi in (").append(hangBiaoShis).append(") order by xuHao ");
      } 
      List<Object[]> rqs = this.commonService.getList(sql.toString());
      User use = getCurrentUser();
      DAnJuan anjuan = new DAnJuan();
      String mcs = use.getBuMenMingChengs();
      if (StringUtils.isNotBlank(mcs)) {
        String[] mcss = mcs.split(" ");
        anjuan.setLiJuanDanWeiMingCheng(mcss[0]);
      } 
      int zys = 0;
      if (rqs != null && rqs.size() > 0) {
        for (int z = 0; z < rqs.size(); z++) {
          Object[] obj = rqs.get(z);
          zys += Integer.parseInt((String)obj[1]);
        } 
        Object[] obj1 = rqs.get(0);
        if (rqs.size() > 1) {
          anjuan.setQiShiJian((String)obj1[0]);
          obj1 = rqs.get(rqs.size() - 1);
          anjuan.setZhiShiJian((String)obj1[0]);
        } else {
          anjuan.setQiShiJian((String)obj1[0]);
          anjuan.setZhiShiJian((String)obj1[0]);
        } 
      } 
      anjuan.setZongYeShu(Integer.valueOf(zys));
      anjuan.setLiJuanDanWeiBiaoShi(Integer.valueOf(use.findRootBuMenBiaoShi()));
      anjuan.setQuanZongHao(use.getQuanZongHao());
      anjuan.setFenLeiHao(wenJian.getFenLeiHao());
      anjuan.setFenLeiMingCheng(wenJian.getFenLeiMingCheng());
      anjuan.setGuiDangNianDu(wenJian.getGuiDangNianDu());
      anjuan.setMenLei(menLei);
      getRequest().setAttribute("state", Integer.valueOf(2));
      getRequest().setAttribute("wenJian", wenJian);
      getRequest().setAttribute("anJuan", anjuan);
      getRequest().setAttribute("miJi", miJi);
      getRequest().setAttribute("wenJianHangBiaoShis", hangBiaoShis);
    } 
    return "danganzhengli/Export/JuanZongEdit";
  }
  
  @RequestMapping({"/validation.do"})
  public void validation(HttpServletResponse response) {
    String muLuHao = getRequest().getParameter("muLuHao");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    String msg = "500";
    if (StringUtils.isNotBlank(muLuHao) && StringUtils.isNotBlank(quanZongHao)) {
      StringBuffer sqlWHERE = (new StringBuffer()).append(" quanZongHao = " + quanZongHao + ",muLuHao= '" + muLuHao + "'");
      sqlWHERE.append("\tand zhuangTai not in(3,4)");
      PagerVO pagevo = this.dAnJuanService.getAll(0, 0, sqlWHERE.toString());
      if (pagevo.getRows().size() >= 9999)
        msg = "600"; 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/guiDang.do"})
  @ResponseBody
  public void guiDang(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        this.dAnJuanService.updateAnJuanZhuangTai(hangBiaoShis, Integer.valueOf(1));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from D_WenJian where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", wenJianBiaoShis, "归档"); 
        } 
        this.commonService.addDA_RiZhi(user, getServer(), "D_AnJuan", "biaoTi,dangHao,menLei", hangBiaoShis, "归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/quXiaoGuiDang.do"})
  @ResponseBody
  public void quXiaoGuiDang(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        this.dAnJuanService.updateAnJuanZhuangTai(hangBiaoShis, Integer.valueOf(0));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from D_WenJian where guiDangLeiXing = 1 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_WenJian", "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消归档"); 
        } 
        this.commonService.addDA_RiZhi(user, getServer(), "D_AnJuan", "biaoTi,dangHao,menLei", hangBiaoShis, "取消归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/jnmlPrint.do"})
  public String jnmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      StringBuilder sql = (new StringBuilder("select w.hangBiaoShi,w.biaoTi,w.wenHao,w.zeRenZhe,to_char(w.chengWenRiQi,'yyyy/mm/dd') cwrq,w.zhiYeHao,w.qiYeHao from D_WenJian w where w.guanLianBiaoShi="))
        .append(hangBiaoShi);
      sql.append(" order by xuHao asc ");
      List<Map<String, Object>> list = this.commonService.getListSQL(sql.toString());
      User user = getCurrentUser();
      HashMap<String, Object> params = new HashMap<>();
      String model = "juanneimulu.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "jnml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/jnbkbPrint.do"})
  public String jnbkbPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      User user = getCurrentUser();
      List<Map<String, Object>> list = new ArrayList<>();
      Map<String, Object> wjp = new HashMap<>();
      list.add(wjp);
      HashMap<String, Object> params = new HashMap<>();
      String model = "juanneibeikaobiao.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "jnbkb");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/ajmlPrint.do"})
  public String ajmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      StringBuilder sql = new StringBuilder("select w.BIAOTI,w.XUHAO as SHIBIANHAO,w.fenShu as YESHU,w.GUIDANGNIANDU,w.BAOGUANQIXIAN from D_anJuan w ");
      if ("2".equals(xtlx))
        sql = new StringBuilder("select w.BIAOTI,w.XUHAO as GUANBIANHAO,w.fenShu as YESHU,w.GUIDANGNIANDU,w.BAOGUANQIXIAN from D_anJuan w "); 
      sql.append(" where 1=1 and zhuangTai not in (3,4,6)");
      sql.append(" order by xuHao asc ");
      List<Map<String, Object>> list = this.commonService.getListSQL(sql.toString());
      User user = getCurrentUser();
      HashMap<String, Object> params = new HashMap<>();
      List<XiTongDaiMa> bgqx = this.commonService.xiTongDaiMaList("11720");
      String bgqxmc = "";
      for (int i = 0; i < list.size(); i++) {
        Map<String, Object> map = list.get(i);
        String bgqx_ = (String)map.get("BAOGUANQIXIAN");
        if (StringUtils.isNotBlank(bgqx_) && !"null".equals(bgqx_)) {
          for (int j = 0; j < bgqx.size(); j++) {
            XiTongDaiMa xtdm2 = bgqx.get(j);
            String dm = xtdm2.getZiFuDaiMa();
            String mc = xtdm2.getMingCheng();
            if (bgqx_.equals(dm)) {
              map.put("BAOGUANQIXIAN", mc);
              break;
            } 
          } 
        } else {
          map.put("BAOGUANQIXIAN", "");
        } 
        params.put("BAOGUANQIXIAN", map);
      } 
      String model = "anjuanmulu.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "ajml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/jngetAll.do"})
  public String getAll1(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    Map<String, String> qx = user.getQuanXianMap();
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    String guanLianBiaoShi = request.getParameter("hangBiaoShi");
    String addtojuan = request.getParameter("addtojuan");
    StringBuffer sqlSearch = new StringBuffer();
    sqlSearch.append(" ( 1=1 ");
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("checkbox") && !key.equals("addtojuan") && !key.equals("guanLianBiaoShi") && !key.equals("hangBiaoShi")) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (!key.contains("like")) {
            if (key.contains("_in")) {
              key = key.substring(0, key.indexOf("_in"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " in ( " + value + ")");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value.trim() + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    sqlSearch.append(")  and zhuangTai not in (3,4,6,7)");
    if (StringUtils.isNotBlank(addtojuan)) {
      sqlSearch.append(" and hangBiaoShi  != " + guanLianBiaoShi + "  and menLei='WS'");
    } else {
      sqlSearch.append(" and guangPanHao  = '" + guanLianBiaoShi + "'  and menLei='WS'");
    } 
    if (sqlWhere.length() > 0)
      sqlSearch.append(sqlWhere.toString()); 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    StringBuffer sql = new StringBuffer("select quanZongHao,zhuangTai,hangBiaoShi,biaoTi,xuHao,dangHao,guiDangBuMenMingCheng,muLuHao,baoGuanQiXian,guiDangNianDu,miJi,fenShu,ruKuFangZhuangTai,liJuanRiQi,fenLeiMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi from D_AnJuan where  ");
    PagerVO pagevo = this.dAnJuanService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi"));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("XUHAO", "xuHao").replaceAll("QUANZONGHAO", "quanZongHao")
      .replaceAll("DANGHAO", "dangHao").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("MULUHAO", "muLuHao").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng")
      .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("MIJI", "miJi").replaceAll("LIJUANRIQI", "liJuanRiQi")
      .replaceAll("FENSHU", "fenShu").replaceAll("RUKUFANGZHUANGTAI", "ruKuFangZhuangTai").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi");
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"/addAnJuantoJuanZong.do"})
  public void addWenJiantoAnJuan(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String menLei = request.getParameter("menLei");
    String miJi = request.getParameter("miJi");
    String table = request.getParameter("table");
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(guanLianBiaoShi) && StringUtils.isNotBlank(menLei) && StringUtils.isNotBlank(miJi)) {
      String info = "";
      String[] str = hangBiaoShi.split(",");
      if (str.length > 0)
        for (int i = 0; i < str.length; i++) {
          String hangbiaoshi = str[i];
          try {
            StringBuffer sql_UP = new StringBuffer("update D_AnJuan set guangPanHao=" + guanLianBiaoShi + " where hangBiaoShi =" + hangbiaoshi);
            this.commonService.update(sql_UP.toString());
            String lxStr = "案卷：";
            this.commonService.updateQiZhiShiJian(this.server, table, CommStatic.getMenLeiToBiaoMing(menLei), guanLianBiaoShi);
            rm.setSuccess(true);
            info = "添加成功！";
          } catch (Exception e) {
            e.printStackTrace();
            rm.setSuccess(false);
            info = "添加失败！";
          } 
        }  
      DAnJuan aj = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
      this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_AnJuan", guanLianBiaoShi, String.valueOf(aj.getBiaoTi()) + "$." + aj.getDangHao() + "$." + aj.getMenLei(), "添加卷内文件");
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
    } 
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/check.do"})
  public String check(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String keyWordResult = request.getParameter("keyWordResult");
    String menLei = getRequest().getParameter("menLei");
    String czlx = getRequest().getParameter("czlx");
    DAnJuan cla = new DAnJuan();
    String laiyuan = request.getParameter("laiyuan");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      cla = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      cla.setLjrq(DateUtil.getDate(cla.getLiJuanRiQi()));
      cla.setGdrq(DateUtil.getDate(cla.getGuiDangRiQi()));
      GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(cla.getFenLeiHao());
      if (dhgz != null) {
        getRequest().setAttribute("dangHaoGuiZe", dhgz.getDangHaoGuiZe());
        getRequest().setAttribute("fenGeFu", dhgz.getFenGeFu());
      } 
      getRequest().setAttribute("keyWordResult", keyWordResult);
      getRequest().setAttribute("laiyuan", laiyuan);
      this.commonService.addDA_RiZhi(getCurrentUser(), getServer(), "D_AnJuan", cla.getHangBiaoShi(), String.valueOf(cla.getBiaoTi()) + "$." + cla.getDangHao() + "$." + cla.getMenLei(), "查看");
    } else {
      cla.setMenLei(menLei);
    } 
    getRequest().setAttribute("anJuan", cla);
    getRequest().setAttribute("czlx", czlx);
    getRequest().setAttribute("check", "1");
    return "danganzhengli/Export/JuanZongEdit";
  }
}
